はじめての自宅サーバ構築 - Fedora/CentOS -
Last Update 2018/05/30
[ 更新履歴 ] [ サイト マップ ] [ 質問掲示板 ] [ 雑談掲示板 ] [ リンク ]
トップ >> 当サイト情報 >> スレッド

このページは表示専用です。新規投稿・レスや最新情報はこちらです。

このスレッドはクローズされています。記事の閲覧のみとなります。

 cpan2rpmのインストールrpmでエラーになりました
日時: 2005/01/17 01:35
名前: わた

すみません

cpan2rpmをインストールしようとしたのですが、エラーになって行き詰まりました。
どなたか、アドバイスねがいたいのですが、どうぞよろしくお願いします。

[root@dns1 root]# rpm -ivh cpan2rpm-2.026-1.noarch.rpm
エラー: Failed dependencies:
rpm-build is needed by cpan2rpm-2.026-1
[root@dns1 root]#

■ コンテンツ関連情報

 Re: cpan2rpmのインストールrpmでエラーになりま ( No.1 )
日時: 2005/01/17 08:22
名前: 管理者

わた様、こんにちは。

> rpm-build is needed by cpan2rpm-2.026-1
上記のメッセージが出力されているので、cpan2rpm-2.026-1のrpmパッケージがインストールされていません。

root権限より下記のコマンドを実行した後に、再度行ってみてください。
# wget ftp://arix.com/cpan2rpm-2.026-1.noarch.rpm
# rpm -ivh cpan2rpm-2.026-1.noarch.rpm
 Re: cpan2rpmのインストールrpmでエラーになりました ( No.2 )
日時: 2005/01/18 14:08
名前: わた

一度ファイルを消して、ROOTからログインしてダウンロードしたんですが
やっぱりエラーになりました。

エラー: Failed dependencies:
rpm-build is needed by cpan2rpm-2.026-1
 Re: cpan2rpmのインストールrpmでエラーになりま ( No.3 )
日時: 2005/01/18 14:47
名前: 管理者

わた様、こんにちは。

大変失礼しました。
エラーメッセージの翻訳を間違えていました。

rpm-build is needed by cpan2rpm-2.026-1
は、「cpan2rpm-2.026-1」が「rpm-build」を必要としている。ですので、
rpm-buildパッケージをインストールする必要があります。

ルート権限で以下のコマンドを入力し、rpm-buildパッケージインストール後に再度、
# rpm -ivh cpan2rpm-2.026-1.noarch.rpmを実行してみてください。

---------- rpm-buildパッケージのインストール ----------
# apt-get -y install rpm-build
-------------------------------------------------------
※)apt-getの使用法は「http://kajuhome.com/apt_inst.shtml」をご参照願います。
 Re: cpan2rpmのインストールrpmでエラーになりました ( No.4 )
日時: 2005/01/18 19:42
名前: わた

ありがとうございました。
インストールできました

■ その他

ページ先頭へ


Copyright(©)2004-2018 First home server construction. All Right Reserved.